Doorzoek het forum

Trefwoord

Welkom bij Joomla!NL

Om alle mogelijkheden van dit forum te kunnen gebruiken, moet je je eerst registreren.

× Vermeld in iedere vraag duidelijk:
  1. De versie van Joomla! 3.X die je gebruikt
  2. De volledige url van je website indien mogelijk.
  3. De versie van de extensie waar de vraag over gaat.

Redmigrator

30 dec 2020 17:00
Heeft onderwerp gestart
Redmigrator #1
Ik wil Joomla versie 1.5.26 migreren naar Joomla 3.9.23. Bij het forum lees ik dat Redmigrator een goed (gratis) alternatief voor SP Upgrade is.
Ik wil de migratie lokaal uitvoeren en heb Joomla 3.9.23 geïnstalleerd in XAMMP met PHP versie 7.2. Bij het installeren van Redmigrator komt een melding dat deze alleen werkt met PHP versie 5.3. Ik heb Redmigrator (versie 1.6) gedownload van deze site.
Ik heb een XAMPP versie met PHP 5.3 gezocht en dat blijkt versie 1.7.7 te zijn. De hoogste Joomla versie die hiermee werkt is echter Joomla 3.1.0. Als testje vóór de migratie dacht ik Joomla te updaten naar versie 3.9.23 maar dat gaat niet hoger dan versie 3.2.7. Ik zou dan weer XAMMP kunnen updaten en zo stap na stap bij Joomla 3.9.23 kunnen uitkomen, maar gevoelsmatig lijkt me dit geen logische werkwijze.
Een heel versie-verhaal! Mijn vragen zijn:
1. Is er een slimmere manier om te migreren?
2. Is er een recentere versie van Redmigrator beschikbaar? Ik kon die op internet niet vinden.
Met vriendelijke groet,
Dick
Zweeloo
Joomla!NL ontdekker
Joomla!NL ontdekker
Berichten: 37
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

30 dec 2020 21:27
Redmigrator #2
Hallo Dick,

sp upgrade gebruik ik zelf ook en werkt top en die € 40.00 is het meer dan waard.

Wat betreft Redmigrator de laatste de versie is uitgekomen in 2014 en toen was Joomla 3.3.0.
Dus doe de migratie met joomla 3.3.0 en xampp 1.7.2 deze heeft php versie 5.3.10 en dan moet het lukken (denk ik).

Succes ermee.

Groetjesss :)
Janp
Bekend met Joomla!NL
Bekend met Joomla!NL
Berichten: 165
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

30 dec 2020 23:25
Redmigrator #3
Volgens mij draaien alle versies goed op xampp 1.8.2, de versie die je dus al eerder geïnstalleerd had B)

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 34613
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

05 jan 2021 12:11
Heeft onderwerp gestart
Redmigrator #4
Reactie op Janp: Als ik Redmigrator niet kan gebruiken zal ik zeker sp upgrade overwegen maar dat is pas als het met Redmigrator niet lukt. Je suggereert om Joomla 3.3 en XAMPP 1.7.2 te gebruiken. Moet ik dan niet, zoals ik eerder beschreef, stap na stap XAMPP en Joomla updaten om bij Joomla 3.9.23 uit te komen?
Lukt het ook om met sp upgrade categorieën en menu’s te migreren?

Reactie op Astrid: Dat klopt. Ik kan Joomla 3.9.23 installeren in XAMPP 1.8.2 maar ik kan dan niet Redmigrator installeren. Redmigrator geeft onverbiddelijk aan alleen te werken met PHP 5.3 en XAMPP 1.8.2 heeft PHP 5.4.16.
Zweeloo
Joomla!NL ontdekker
Joomla!NL ontdekker
Berichten: 37
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

05 jan 2021 14:03
Redmigrator #5
Dan zou je nog kunnen werken met tussenstappen.
Bijvoorbeeld eerst van Joomla 1.5 naar 2.5 en daarna pas door naar Joomla 3.
Of toch investeren in een tool die het wel in 1x kan.
Uiteindelijk denk ik dat het geld niet opweegt tegen het aantal uren werk waar je nu tegenaan gaat lopen.

Met vriendelijke groet,
Wouter Compactweb.nl
Voordat je een vraag post, gebruik eerst de zoekfunctie van ons forum.
Ik beantwoord geen vragen via PM
WoodyF4u
Moderator + Nieuwsteam
Moderator + Nieuwsteam
Berichten: 10123
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

05 jan 2021 15:03 05 jan 2021 18:36 door Astrid.
Redmigrator #6
Ik begrijp niet waar je die melding ziet over de PHP versie. Ik kan zonder problemen
redmigrator-v1.6.0_j3.zip
en 
system_redmigrator_1.6.0.zip
installeren op xampp 1.8.2 met PHP 5.4.31
Het enige probleem is dat Redmigrator werkt tot en met Joomla versie 3.4.0. Dus die moet je eerst installeren, dan de migratie doen, dan Redmigrator de-installeren en dan je Joomla versie verder updaten.

Edit Astrid: Ik heb de hierop volgende reacties verwijderd omdat ze off topic waren.

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 34613
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

11 jan 2021 18:10 11 jan 2021 19:04 door Astrid.
Heeft onderwerp gestart
Redmigrator #7
Reactie voor Astrid: Afgelopen week vele keren getest met Redmigrator echter zonder veel succes. De melding over de PHP versie krijg ik te zien na installatie van Redmigrator (zie bijlage: Redmigrator 1). In deze afbeelding staan de vereiste en huidige PHP versie vermeld. Omdat ik hier XAMPP versie 1.7.7 en Joomla 3.1.0 bij elkaar had gezocht, beiden met PHP 5.3 hebben, start Redmigrator hierdoor op. Bij eerdere pogingen, waarbij de huidige PHP niet gelijk was aan de vereiste deed Redmigrator niet opstarten.

Op jouw suggestie heb ik xampp 1.8.2 met PHP 5.4.31 en Joomla versie 3.4.0 geïnstalleerd. Tot mijn verbazing startte Redmigrator hierbij wel op ondanks het verschil in PHP versie (zie bijlage: Redmigrator 2). Nu maar migreren dus! Ik heb zowel de Database als de Restful methode gebruikt.

Helaas werkt het allemaal niet zo lekker. Dikwijls blijft het programma eindeloos hangen. In één keer migreren van categorieën, artikelen en menu’s is niet gelukt. Deze items zijn (meestal) wel afzonderlijk te migreren maar wanneer daarna een ander item wordt gekozen verdwijnt het al eerder gemigreerde item. Nadat een (gedeeltelijke) migratie is afgerond of wordt beëindigd wanneer het programma blijft hangen, blijkt dat Redmigrator uit Joomla is verdwenen, dus dan weer opnieuw installeren.

Verder is mijn idee om na migratie te updaten naar Joomla 3.9.23 en daarmee een nieuwe site te ontwikkelen. In die tussentijd worden echter weer artikelen op de oude site gezet. Kort voor het publiceren van de nieuwe site moet dan weer een migratie plaatsvinden. Ik neig er nu toch naar om SP Upgrade aan te schaffen. Ik lees goede recensies en in één keer kan van Joomla 1.5 naar 3.x en 4.x worden gemigreerd.

Ik schotel je een heel verhaal voor. Hoe kijk jij hier tegen aan: Heeft Redmigrator nog mogelijkheden of toch maar naar SP Upgrade gaan? (suggestie van Janp en Wouter)
Zweeloo
Joomla!NL ontdekker
Joomla!NL ontdekker
Berichten: 37
Lees meer

Dit bericht bevat afbeeldingen als bijlage.
Log in of registreer om die te bekijken

Je moet inloggen of een account aanmaken om te kunnen reageren.

11 jan 2021 19:07 12 jan 2021 09:30 door Astrid.
Redmigrator #8
Migreren is in principe een eenmalige actie. Je moet namelijk daarna ook je gebruikte extensies updaten, je layout en je moduleposities aanpassen etc.
Ik heb Redmigrator voor het laatst gebruikt om te upgraden van 1.5 naar 2.5, dus het kan best zijn dat het met Joomla 3 niet meer zo lekker werkt. SPUpgrade is natuurlijk een optie, maar dan nog moet je later je toegevoegde artikelen overzetten.
Het handigste is eigenlijk om alle geplaatste artikelen die na de migratie geplaatst worden ook direct handmatig in je J3 site te plaatsen. Of eventueel op het laatste moment j2xml gebruiken voor je content.

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 34613
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

13 jan 2021 18:04
Heeft onderwerp gestart
Redmigrator #9
Aan de slag gegaan met J2XML. Het lijkt allemaal soepeler te gaan dan met Redmigrator. Als test een paar artikelen geëxporteerd uit Joomla 1.5.26. Deze worden opgeslagen in een .xml bestand. Bij het importeren in Joomla 3.9.23 krijg ik helaas de foutmelding:

Fout
File format (v1.5.6.74) not supported. Impossible to import file.


Zoeken op internet levert alleen iets op van een missende library die ik niet kan vinden. Komt dit bekend voor?
Zweeloo
Joomla!NL ontdekker
Joomla!NL ontdekker
Berichten: 37
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

13 jan 2021 21:31
Redmigrator #10
Avond,

het wordt een hele operatie dit allemaal maar het siert je wel want je houdt het wel vol ;)

Hou er rekening mee dat je bij J2xml handmatig menu items moet aanmaken en dan al content artikelen en zo daar weer aan moeten koppelen.

Zelf zou ik joomla 3.0 installeren en dan onderstaande handleiding gebruiken, wanneer dit werkt kun je na de tijd joomla update naar laatste versie.
www.eshiol.it/31-guide/j2xml/37-joomla-15-to-30.html

Groetjesss :)
Janp
Bekend met Joomla!NL
Bekend met Joomla!NL
Berichten: 165
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

21 jan 2021 22:45
Heeft onderwerp gestart
Redmigrator #11
Aan de slag geweest met J2xml voor migratie van Joomla 1.5 naar 3.9.24. Het blijkt mogelijk om meteen categorieën en artikelen (met afbeeldingen) naar de nieuwste versie te migreren. Menu items heb ik zelf weer aangemaakt en gekoppeld. Het leek allemaal goed te zijn gegaan maar bij controle was het aantal overgezette artikelen (~3800) een stuk kleiner dan in de oude site. Het blijkt dat bij artikelen met dezelfde titel er slechts één wordt overgezet. In J2xml is het mogelijk om 3 opties voor artikelen te kiezen, maar geen van deze resulteert in het overzetten van artikelen met dezelfde naam. Ik heb nog geen oplossing gevonden.
Groet, Dick
Zweeloo
Joomla!NL ontdekker
Joomla!NL ontdekker
Berichten: 37
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

22 jan 2021 11:17
Redmigrator #12
Dat komt omdat het in 1.5 nog mogelijk was om artikelen te maken met dezelfde alias. Snelste oplossing is om de tabel xxx_content van je 1.5 site te sorteren op title en dan handmatig bij elke dubbele bij de alias bijvoorbeeld -1 erachter te zetten.

Je zou ook in je nieuwe site alle artikelen als batch kunnen kopiëren, maar dan komt er zowel achter de titel als achter de alias een 2 te staan, dus dan moet je alles aanpassen.

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 34613
Lees meer

Dit bericht bevat een afbeelding als bijlage.
Log in of registreer om die te bekijken

Je moet inloggen of een account aanmaken om te kunnen reageren.

15 feb 2021 14:20
Heeft onderwerp gestart
Redmigrator #13
Astrid, In aansluiting op jouw vorige antwoord heb ik inmiddels de aliassen aangepast en alle artikelen zijn nu overgezet. Een aardig klusje maar ik “durf” nu wel meer in de database te werken, daar leer ik weer van. Waar ik wel benieuwd naar ben: Zou een programma als SP Upgrade dit ook gedaan hebben of is dit toch “handwerk”?

Ik probeer nu nog een paar extensies over te zetten/migreren.
JComments: Ik heb de nieuwste versie geïnstalleerd en de bijbehorende rijen uit de oude database geëxporteerd en geïmporteerd in de nieuwe database en dit blijkt te werken.
JoomGallery: Hier loop ik mee vast. Ik hoopte dit op dezelfde manier te kunnen doen als bij JComments maar dat lukt me niet. Ik heb de nieuwste versie van JoomGallery geïnstalleerd en de bijbehorende rijen uit de database overgezet naar de nieuwe. Ook heb ik de mappen originals, pictures en thumbnails gekopieerd naar de nieuwe site onder images/joomgallery.
Omdat dit geen resultaat geeft ben ik op internet op zoek gegaan en vind ik een het bestand “migrateacl2jux-3.0.1.zip” dat in Joomla 1.5.26 moet worden geïnstalleerd. Nadat ik eerst geupdated heb met “joomgallery_1_5_6_3 ….zip” krijg ik met het andere pakket steeds de melding:

Fout! Kan geen Joomla! XML installatiebestand in het pakket vinden.

Weet jij hoe ik deze melding kan omzeilen of weet jij misschien een betere manier om JoomGallery over te zetten?
Bij voorbaat dank,
Groet, Dick
Zweeloo
Joomla!NL ontdekker
Joomla!NL ontdekker
Berichten: 37
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

15 feb 2021 16:05 15 feb 2021 16:34 door Astrid.
Redmigrator #14
Hier staat nog een migratiescript. Overigens vermoed ik dat je dit script in je Joomla 3 site moet zetten.

Groetjes, Astrid
Gebruik de zoekfunctie van dit forum voordat je een nieuwe vraag plaatst.
Vragen uitsluitend via dit Forum.
yndi.nl - kvk 17157725
Is je vraag beantwoord? Dan kan je het draadje zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Astrid
Moderator + Technisch team
Moderator + Technisch team
Berichten: 34613
Lees meer

Je moet inloggen of een account aanmaken om te kunnen reageren.

Moderators: PeterJuliank92JelleRomke
Tijd voor maken pagina: 0.195 seconden

Wil je Joomla!NL steunen?

Steun Joomla!NLAlle teamleden werken enthousiast, op vrijwillige basis, mee aan Joomla!NL. Maar een website met forum kost nu eenmaal geld. Dus als je Joomla!NL wilt steunen, dan kan dat, graag zelfs!

Lees hier meer informatie

Joomla!NL op Twitter

Op dinsdag 2 maart is Joomla! 3.9.25 vrijgegeven. Maak altijd eerst een backup voordat je de update uitvoert! https://t.co/lU2q9C0WTC

Vandaag is Joomla! 3.9.24 vrijgegeven. Het bevat enkele veiligheidsreparaties en een groot aantal verbeteringen. Ma… https://t.co/l63WFZygT3

De naam Joomla!® en logo worden gebruikt onder een beperkte licentie met toestemming van Open Source Matters.
Joomlanl.nl is niet verbonden aan en is geen onderdeel van Open Source Matters, Inc, of het Joomla! project.

© 2021 - Joomla!NL | Gehost door Wned